### Method

# Gimp Vector3 add_val

#### Declaration [src]

    GimpVector3
    gimp_vector3_add_val (
      GimpVector3 vector1,
      GimpVector3 vector2
    )

#### Description [src]

This function is identical to `gimp_vector3_add()` but the vectors are passed by value rather than by reference.

#### Parameters

`vector2` | `GimpVector3`
| A `GimpVector3`.

#### Return value

Returns: | `GimpVector3`
| The resulting `GimpVector3`.